Package org.eclipse.cdt.core.dom.ast.c

# Interface ICASTVisitor

All Known Implementing Classes:
  `ASTGenericVisitor`, `CASTVisitor`

public interface ICASTVisitor
Interface for visitors to visit c-specific nodes.

Since:
  5.0

## Method Summary

Modifier and Type
Method
Description
`int`
`leave(ICASTDesignator designator)`
Visits a designator.
`int`
`visit(ICASTDesignator designator)`
Visits a designator.

## Method Details

### visit

int visit(ICASTDesignator designator)
Visits a designator.

Returns:
  `ASTVisitor.PROCESS_CONTINUE`, `ASTVisitor.PROCESS_SKIP` or `ASTVisitor.PROCESS_ABORT`

### leave

int leave(ICASTDesignator designator)
Visits a designator.

Returns:
  `ASTVisitor.PROCESS_CONTINUE` or `ASTVisitor.PROCESS_ABORT`